jabberd(8)

NAME
jabberd - jabberd daemon

SYNOPSIS
jabberd [-B] [-c config] [-d mask | -D] [-H dir] [-v] [-V] [-Z zone(s)] [-I dir]

DESCRIPTION
jabberd is the core of the jabber server containing the routing functionality that is extended by specific logic, that is loaded from shared objects specified in the configuration file.

OPTIONS

-B  Background the jabberd process. (This option is disabled in debugging mode.)

-c  Specify an alternate configuration file. Default is to use /opt/etc/jabber/jabber.xml

-U <user>
    Run jabberd as <user>.

-d <mask>
    Output debugging information while running. This option disabled backgrounding of the jabberd process. The debugging output is either written to syslog or to the standard error output (configured in jabber.xml). The given mask is ORed with the mask given in the configuration file and each bit in the result enables a category of debug logging messages. You can further limit the information that is printed by using the -Z option.

-D  Like -d but enables debugging output of all types.

-H <dir>
    Resolve paths relative to this directory.

-v -V
    Print jabberd version information.

-Z <zones>
    Limit the debugging output to a given set of zones in the source code. Comma separated list of zones. Zones are the file names of the source files without the extension. (E.g. debugging statements in 'jabberd.c' correspond to the zone 'jabberd'.)

-I <dir>
    Import data from a spool directory to the storage engine configured in the current configuration file. This is intended to be used for migration from xdb_file storage to xdb_sql. The directory you specify should be the directory, that contains the directories, that are named after the domains of your server. This is typically something like PREFIX/var/spool/jabberd.

  Exit states

0   jabberd exited normally

1   jabberd exited while starting up, probably the configuration is broken

999 jabberd exited because the server ran up of memory

SEE ALSO
jabber.xml(5)

AUTHOR
jabberd14 project